> ## Documentation Index
> Fetch the complete documentation index at: https://docs.epay123.net/llms.txt
> Use this file to discover all available pages before exploring further.

# 结算加密货币地址列表

> 商户向平台申报用于接收结算款项的加密货币地址。



## OpenAPI

````yaml docs/api/cn/openapi.json post /api/channelbiz/cbcoinpay/settleAddressList
openapi: 3.0.1
info:
  title: 支付Api接口文档
  contact:
    name: epay123
  license:
    name: Apache 2.0
    url: https://docs.epay123.net
  version: 1.0.1
servers:
  - url: https://sandbox-pay.epay123.net
    description: Generated server url
security: []
paths:
  /api/channelbiz/cbcoinpay/settleAddressList:
    post:
      tags:
        - 钱包结算接口
      summary: 结算加密货币地址列表
      description: 商户向平台申报用于接收结算款项的加密货币地址。
      operationId: settleAddressList
      requestBody:
        description: 结算加密货币地址列表请求参数
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListCoinSettleAddrRQ'
        required: true
      responses:
        '200':
          description: 成功返回结果
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ApiResListCoinSettleAddrRS'
components:
  schemas:
    ListCoinSettleAddrRQ:
      required:
        - appId
        - mchNo
        - reqTime
        - sign
        - signType
        - version
      type: object
      properties:
        version:
          type: string
          description: 版本号
          example: 1.0.1
        signType:
          type: string
          description: 签名类型，目前只支持MD5方式
          example: MD5
        sign:
          type: string
          description: 签名值，详见签名算法
          example: xxxxxx
        reqTime:
          type: string
          description: 时间戳,13位时间戳
          example: '1622016572190'
        mchNo:
          type: string
          description: 商户号
          example: M1234567890
        appId:
          type: string
          description: 商户应用ID
          example: 88808634c46ff1a7807888888
        pageNumber:
          type: integer
          description: '支持分页: 默认1开始'
          format: int32
          example: 1
        pageSize:
          type: integer
          description: '支持分页: 默认20页'
          format: int32
          example: 20
        requestId:
          type: string
          description: 请求ID
          example: '12345678909'
        tokenId:
          type: string
          description: 结算币种的唯一标识
          example: TRON_USDT
        address:
          type: string
          description: 提币地址
          example: TX123456789021345678
        remark:
          type: string
          description: 备注
          example: remark
    ApiResListCoinSettleAddrRS:
      type: object
      properties:
        code:
          title: code
          type: integer
          description: 业务响应码
          format: int32
          example: 200
        msg:
          title: msg
          type: string
          description: 业务响应信息
          example: 成功
        data:
          $ref: '#/components/schemas/ListCoinSettleAddrRS'
        sign:
          title: sign
          type: string
          description: 签名值
    ListCoinSettleAddrRS:
      title: data
      required:
        - addrList
        - addrTotal
      type: object
      properties:
        addrList:
          type: array
          description: 返回地址列表
          items:
            $ref: '#/components/schemas/CoinSettleAddr'
        addrTotal:
          type: integer
          description: 返回地址总数
          format: int64
          example: 20
      description: 数据对象
    CoinSettleAddr:
      type: object
      properties:
        serverRequestId:
          type: string
          description: 结算地址申请ID
          example: '1234567890'
        requestId:
          type: string
          description: 业务系统结算地址申请ID
          example: BIZ1234567890
        mchNo:
          type: string
          description: 商户号
          example: M1234567890
        isvNo:
          type: string
          description: 服务商号
        appId:
          type: string
          description: 应用号
          example: '1234567890'
        ifCode:
          type: string
          description: 支付接口代码
          example: cbcoinpay
        createdWay:
          type: string
          description: '创建方式: WEB,API'
          example: API
        tokenId:
          type: string
          description: 币种ID
          example: TRON_USDT
        address:
          type: string
          description: 提币地址
          example: TX1234567890
        channelAddrId:
          type: string
          description: 渠道提币地址ID
          example: '1234567890'
        remark:
          type: string
          description: 备注
          example: TRON Address
        status:
          type: integer
          description: '状态: 0-审核中, 1-正常, 2-异常, 3-停用'
          format: int32
          example: 1
        errMsg:
          type: string
          description: 错误描述
          example: Expired
        createdAt:
          type: string
          description: 创建时间
          format: date-time
        updatedAt:
          type: string
          description: 更新时间
          format: date-time
      description: 提币地址

````